netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
db_param.c File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <sys/select.h>`
`#include <sys/un.h>`
`#include <unistd.h>`
`#include <atalk/logger.h>`
`#include "db_param.h"`

## Macros
#define | DB_PARAM_FN "db_param"
#define | MAXKEYLEN 64

## Functions
static size_t | usock_maxlen (void)
static int | make_pathname (char *path, char *dir, char *fn, size_t maxlen)
static void | default_params (struct db_param *dbp, char *dir)
static int | parse_int (char *val)
struct db_param * | db_param_read (char *dir)

## Variables
static struct db_param | params
static int | parse_err

## Macro Definition Documentation

## ◆ DB_PARAM_FN

#define DB_PARAM_FN "db_param"

## ◆ MAXKEYLEN

#define MAXKEYLEN 64

## Function Documentation

## ◆ db_param_read()

struct db_param * db_param_read | ( | char * | dir | ) |

## ◆ default_params()

void default_params | ( | struct db_param * | dbp,
|  | char * | dir )
| static

## ◆ make_pathname()

int make_pathname | ( | char * | path,
|  | char * | dir,
|  | char * | fn,
|  | size_t | maxlen )
| static

## ◆ parse_int()

int parse_int | ( | char * | val | ) |
| static

## ◆ usock_maxlen()

size_t usock_maxlen | ( | void |  | ) |
| static

## Variable Documentation

## ◆ params

struct db_param params
| static

## ◆ parse_err

int parse_err
| static